# https://docs.ansible.com/ansible/latest/user_guide/complex_data_manipulation.html#sts=Custom%20Fileglob%20Based%20on%20a%20Variable%EF%83%81
- name:  "Set ssh authorized keys to {{ ssh_authk_remote_user }}"
  authorized_key:
    user: "{{ ssh_authk_remote_user }}"
    key: "{{ lookup('file', item) }}"
  loop: '{{ q("fileglob", *globlist) }}'
  vars:
    globlist: '{{ ssh_authk_groups | map("regex_replace", "^(.*)$", "files/public_keys/\1/*") | list }}'
